Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetRecoveryEmailAddress

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.PasswordState>
it.tdlight.jni.TdApi.SetRecoveryEmailAddress

Enclosing class:
  TdApi

public static final class TdApi.SetRecoveryEmailAddress extends TdApi.Function<TdApi.PasswordState>
Changes the 2-step verification recovery email address of the user. If a new recovery email address is specified, then the change will not be applied until the new recovery email address is confirmed. If newRecoveryEmailAddress is the same as the email address that is currently set up, this call succeeds immediately and aborts all other requests waiting for an email confirmation.

Returns `PasswordState`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`newRecoveryEmailAddress`
New recovery email address.
`String`
`password`
The 2-step verification password of the current user.

## Constructor Summary

Constructors
Constructor
Description
`SetRecoveryEmailAddress()`
Changes the 2-step verification recovery email address of the user.
`SetRecoveryEmailAddress(DataInput input)`
Changes the 2-step verification recovery email address of the user.
`SetRecoveryEmailAddress(String password, String newRecoveryEmailAddress)`
Changes the 2-step verification recovery email address of the user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### password

public String password
The 2-step verification password of the current user.

### newRecoveryEmailAddress

public String newRecoveryEmailAddress
New recovery email address.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SetRecoveryEmailAddress

public SetRecoveryEmailAddress()
Changes the 2-step verification recovery email address of the user. If a new recovery email address is specified, then the change will not be applied until the new recovery email address is confirmed. If newRecoveryEmailAddress is the same as the email address that is currently set up, this call succeeds immediately and aborts all other requests waiting for an email confirmation.

Returns `PasswordState`

### SetRecoveryEmailAddress

public SetRecoveryEmailAddress(String password, String newRecoveryEmailAddress)
Changes the 2-step verification recovery email address of the user. If a new recovery email address is specified, then the change will not be applied until the new recovery email address is confirmed. If newRecoveryEmailAddress is the same as the email address that is currently set up, this call succeeds immediately and aborts all other requests waiting for an email confirmation.

Returns `PasswordState`

Parameters:
  `password` - The 2-step verification password of the current user.
  `newRecoveryEmailAddress` - New recovery email address.

  Returns `PasswordState`

### SetRecoveryEmailAddress

public SetRecoveryEmailAddress(DataInput input) throws IOException
Changes the 2-step verification recovery email address of the user. If a new recovery email address is specified, then the change will not be applied until the new recovery email address is confirmed. If newRecoveryEmailAddress is the same as the email address that is currently set up, this call succeeds immediately and aborts all other requests waiting for an email confirmation.

Returns `PasswordState`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`